<%@  page pageEncoding="utf-8" contentType="text/html;charset=utf-8" import="com.novell.webaccess.common.JSPConduit, com.novell.emframe.dev.eMFrameUtils" %>
<%   JSPConduit c = JSPConduit.getJSPConduit(request); %>

		<%/* Function for stripping the starting and trailing white spaces of a token */%>

		function stripWhitespaces(s){

			  var strippedStr; 

			  var i = 0;

			  while ((i < s.length) && (s.charAt(i) == ' ' || s.charAt(i) == '\n'|| s.charAt(i) == '\r'))
			 	 i++;
			  strippedStr = s.substring (i, s.length);

			  
			  if(strippedStr != null){

				i = strippedStr.length - 1;
			    while ((i >= 0) && (strippedStr.charAt(i) == ' ' || strippedStr.charAt(i) == '\n'|| strippedStr.charAt(i) == '\r'))
			    	i = i - 1;

			    strippedStr = strippedStr.substring (0, i + 1);
			  }

			 return strippedStr;  
			      
		}


		<%/* Function for checking the validitity of a FQDN */%>

		function invalidObjectName(token){

	/*			var i = 0;
				var oldDotIndex = 0;
				var newDotIndex;

				while(i < token.length){
								
					if((token.charAt(i) <= '9' && token.charAt(i) >= '0') ||
						(token.charAt(i) <= 'Z' && token.charAt(i) >= 'A') ||
						(token.charAt(i) <= 'z' && token.charAt(i) >= 'a'))
						i++;
					
					else if(token.charAt(i) == '.'){
						newDotIndex = i++;
						if(oldDotIndex == newDotIndex)
							return true;
						oldDotIndex = newDotIndex;
					}
					
					else
						return true;
				}

				if(oldDotIndex == (token.length - 1))
					return true;

				return false;
			*/	

				var strTmp = stripInitialWhitespace(s);
				var invalidString ="#$%&()?<>;";
				
				//Path Length Can't be NULL
				if(isEmpty(strTmp)) return true; 

				
				//Path Must Not contains the Characters @,#,$,%,&,*,(,),?,<,>,:,;,",
				if(contains(s, invalidString)) return true;

				return false;



				
					
		}





				// Removes initial (leading) whitespace characters from s.
				// Global variable whitespace (see above)
				// defines which characters are considered whitespace.

				function stripInitialWhitespace (s)

				{   var i = 0;

				    while ((i < s.length) && charInString (s.charAt(i), " \t"))
				       i++;
				    
				    return s.substring (i, s.length);
				}




			// Check whether string s is empty.
				function isEmpty(s)
				{
				var tempStr = stripInitialWhitespace(s);
				return ((tempStr == null) || (tempStr.length == 0))
				}


				function contains(s, invalidString)
				{
					var i;
					for (i = 0; i < invalidString.length; i++)
				    { 
				    	if (charInString(invalidString.charAt(i), s)) return true;
				    }
					
				    return false

				}



				// Returns true if single character c (actually a string)
				// is contained within string s.
				function charInString (c, s)
				{   
					var i;
					for (i = 0; i < s.length; i++)
				    { 
				    	if (s.charAt(i) == c) return true;
				    }
				    return false
				}


		
		
		<%/* Function for checking whether the token contains any forbidden character */%>

		function containsInvalidChar(token){

			var i = 0;

			for( i = 0; i < token.length; i ++)
				if(!((token.charAt(i) <= '9' && token.charAt(i) >= '0') || (token.charAt(i) <= 'z' && token.charAt(i) >= 'a') ||
						(token.charAt(i) <= 'Z' && token.charAt(i) >= 'A') || (token.charAt(i)== '_') ||(token.charAt(i) == ':') ||(token.charAt(i) == '\\')))
					return true;
			return false;
		}

		<%/* Function for checking whether the token contains any non-numeric character */%>

		function containsNonNumericChar(token){

			var i = 0;

			for( i = 0; i < token.length; i ++)
				if(!(token.charAt(i) <= '9' && token.charAt(i) >= '0'))
					return true;

			return false;

		}

		<%/* Function for converting a numeric string into integer */%>

		function convertToInt(token){

			var multFactor = 1;
			var convertedNumber = 0;
			var remainingToken = token;
			var i;

			while(remainingToken.length > 0){

				convertedNumber += multFactor * (remainingToken.charAt(remainingToken.length - 1) - '0');
				multFactor *= 10;
				remainingToken = remainingToken.substring(0, remainingToken.length - 1);
			}

			return convertedNumber;
		}
				

		<%/* Function for checking whether the token is of a valid IPAddress format */%>
				
		
		function invalidIPAddress(token){

			var i = 0;
			var dotCount = 0;
			var dotIndex = new Array(3);
			var subToken = new Array(4);
			var subTokenNumeric = new Array(4);

			if(token==null || token.length==0)
			 return true;
			 return false;

			while(i < token.length){
								
				if(token.charAt(i) <= '9' && token.charAt(i) >= '0' && dotCount <= 3)
					i++;
					
				else if(token.charAt(i) == '.' && dotCount <= 3)
					dotIndex[dotCount++] = i++;
					
				else
					return true;
			}

			if( dotCount < 3)
				return true;

			for(i = 0; i < 4; i ++){
				if(i == 0)
					subToken[i] = token.substring(0, dotIndex[i]);
				else
					subToken[i] = token.substring(dotIndex[i - 1] + 1, dotIndex[i]);
					

				if(subToken[i] == null || subToken[i].length == 0)
					return true;
				else
					subTokenNumeric[i] = convertToInt(subToken[i]);

				if(subTokenNumeric[i] > 255)
					return true;
			}

			return false;
		}

		<%/* Function for calculating the power value with exponent being a positive integer */%>

		function power(base, exp){

			var i;
			var result = 1;

			if(exp == 0)
				return 1;

			for(i = 0; i < exp; i ++)
				result *= base;

			return result;
		}

		<%/* Function for calculating the logarithm with integer base, integer exponent and integer result */%>

		function logarithm(base, number){

			var log = 0;
			var result = 1;
			
			if(number == 1)
				return 0;

			while(result < number){
				result *= base;
				log ++;
			}

			if(result == number)
				return log;
			else
				return -1;
		}

 		<%/* Function for cheking whether a given number is within a valid range */%>

       function withinValidRange(number){

        	if(!(number >= 0 && number <= 2147483647))
        		return false;

        	else
        		return true;
        }

		<%/* Function for cheking the validity of permission token in hex with value ranging 000-777 */%>

        function validUmaskValue(token){

        	var i;
		token = stripWhitespaces(token);
	
        	if(token.length > 3)
        		return false;
        	for(i = 0; i < token.length; i ++)
        		if(token.charAt(i) > '7' || token.charAt(i) <'0')
        			return false;
        	
        	return true;
        }

        function validCodePage(token){

        	var i;
		token = stripWhitespaces(token);

		if(token.length == 0)
			return true;
	
		if((token.length < 3) || (token.length > 4))
        		return false;

		if((token.charAt(0) == '0') && (token.length == 3))
        		return false;

		if((token.charAt(0) == '0') && (token.charAt(1) == '0'))
        		return false;

        	for(i = 0; i < token.length; i ++)
        		if(token.charAt(i) > '9' || token.charAt(i) <'0')
        			return false;
      		
        	return true;
        }

	function isValidHostnameOrIP(token)
	{

	var  strippedToken = stripWhitespaces(token);

	if(strippedToken == null || strippedToken.length == 0) 
			return false;
 
	if(isValidHostName(strippedToken ))	
		return true;
	if(isValidIPAddress(strippedToken ))
		return true;

		return false;
	}


	function isValidIPAddress(token)
	{
		 var numDots = 0;
		 var index;
		 var number;

		 //this check is for the case when there is a period at the end.
		 if(token.charAt(token.length-1) == '.')
		 	return false;

		 index = token.indexOf(".");

		 while(index!=-1)
		 {
			 numDots++;

			 number=token.substring(0,index);
			 token = token.substring(index+1,token.length);
			 index = token.indexOf(".");

			  if(number.length ==0 || isNaN(number))
			  {
				   //alert("not a number");
				   return false;
			  }
		
	
			  if(!(number >= 0 && number <= 255))
			   {
			   	   //alert("invalid IP");      	
				    return false;
			   }
			   
		 }//while 

		 if(!(token>= 0 && token<= 255))
		 	return false;

		 if(numDots != 3)
		  {
		  //alert("numDots")
		  return false;
		  }

		return true;
	 
	}


	function isValidHostName(token)
	{
		//this is the full list of invalid characters.
		var invalidString ="~!@#$%^&*+=?'`:;,\"<>\\/()[]{}| ";
		var i ;
		var tempString = "";
		for(i=0;i<invalidString.length;i++)
		  if(token.indexOf(invalidString.charAt(i)) != -1)
		    {
		    //alert("invalid char in hostname");
		    return false;
		    }

			while(token != tempString)
			{		
			tempString = token;
			token   =  token.replace(".","0");
			}

			if(isNaN(token))
				return true;
			return false;
				
		
	}

        
