<%@  page pageEncoding="utf-8" contentType="text/html;charset=utf-8" import="com.novell.webaccess.common.JSPConduit, com.novell.emframe.dev.eMFrameUtils" %>
<%   JSPConduit c = JSPConduit.getJSPConduit(request); 
   c.stringTable("DevResources"); 
   c.stringTable("NFSGYResources"); %>


<% try  { %>

<HTML>

	<HEAD>

		<TITLE><%= c.string("Title.SelectServer") %></TITLE>
		<LINK rel='stylesheet' href='<%= c.getModulesUrl() %>/dev/css/hf_style.css'>
		
		<jsp:include page='<%= c.getPath("dev/eMFrameScripts_inc.jsp") %>' flush="true" />
		<jsp:include page='<%= c.getPath("dev/OSScripts_inc.jsp") %>' flush="true" />


		<SCRIPT language="JavaScript">

		<%/*********************** Begining of script ***********************************************/%>

		<jsp:include page='<%= c.getPath("nfsgy/GenUtils_js.jsp") %>' flush="true" />


		<%/********************** Checking of the fields and other functions ************************/%>



		function isValidServerName(givenString){

				var form = document.NFSGYSelectServerForm;
				var token = givenString.value;
				var strippedToken;

				//Check whether the token is empty
				
				if(token == null || token.length == 0){
				
						alert("<%= c.string("ANullInput.ServerObjectName")%>");
						form.serverName.focus();
						return;
				}
				

				//Strip the initial and trailing white spaces

				givenString.value = strippedToken = stripWhitespaces(token);


				//Check whether the stripped token is empty

				if(strippedToken == null || strippedToken.length == 0){
				
						alert("<%= c.string("ANullInput.ServerObjectName")%>");
						form.serverName.focus();
						return;
				}

				//Check whether the stripped token is a valid IP address

				if(invalidObjectName(strippedToken)){

						alert("<%= c.string("AInvalidInput.ServerObjectName")%>");
						form.serverName.focus();
						return false;
				}


				return;
		}
			
  		function setFocusToFormElement(){
	
	   			document.NFSGYSelectServerForm.serverName.focus();
       			return true;

   		}

   	<%/*************************************Button functionalities ************************************/%>
   		
   		function onClickOK(){

   
				var form = document.NFSGYSelectServerForm;
		
				if((form.serverName.value == null) || (form.serverName.value.length == 0)){
	
					alert("<%= c.string("ANullInput.ServerObjectName")%>");
					form.serverName.focus();
					return;
				}
		
		
		
	    		var strURL = "webacc";
    			strURL += "?taskId=<%= c.var("taskId") %>";
				strURL += "&merge=nfsgy.GyLevelParams";
        		strURL += "&error=dev.GenErr";
        		strURL += "&User.context=<%= c.var("User.context") %>";
        		strURL += "&nextState=editGyLevelParams";
        		
      
        		document.NFSGYSelectServerForm.action = strURL;
        		document.NFSGYSelectServerForm.submit();
        		return true;
   		}


   			
   
    <%/************************************* End of Script************************************************/%>


	
  
		</SCRIPT>
		
	</HEAD>


	<BODY TEXT="#000000" LINK="#0000FF" VLINK="#0000FF" ALINK="#0000FF" bgcolor="#FFFFFF" onLoad ="setFocusToFormElement();returnFromOS();">
	<FORM name="NFSGYSelectServerForm" method=post action="webacc?taskId=fw.HomePage&amp;merge=fw.HomePage&amp;User.context=<%= c.var("User.context") %>">



	<% c.set("TaskHeader.title", c.string("Title.SelectServer")); 
    c.set("TaskHeader.helpFile", "nfsgy/svrselect.html"); %>
   
	<jsp:include page='<%= c.getPath("dev/TaskHeader_inc.jsp") %>' flush="true" /><BR>

    <TABLE cellspacing="0" cellpadding="2">
	<TR><TD class="formdescriptext"><span class="width800"><%= c.string("Instruction.SelectServer")%></span>
	</TD></TR>
  	</TABLE><br>
 	
	<FONT face="Helvetica" size=-1>
		
    <TABLE cellspacing="0" cellpadding="2">

  		<TR>
  			<TD align=left class ="mediumtext"><%= c.toDisplay(c.string("ServerName")) %> </TD>

  		    <TD><INPUT name=serverName value="<%= c.toDisplay(c.var("serverName")) %>" style="HEIGHT: 22px; WIDTH: 275px" size="20" onChange="isValidServerName(this)">
  
   			<% c.set("OS.TypeFilter", "NCP Server"); 
				c.set("OS.History", "true");
      		c.set("OS.Control", "serverName"); %>
   			<jsp:include page='<%= c.getPath("dev/OS_inc.jsp") %>' flush="true" /> 

  		    </TD>
  	    </TR> 
  
  
  	</TABLE>
	
	<br><br>
	<hr color="#6B8899" size="2">
    <TABLE cellspacing="0" cellpadding="0">

	<TR>
 		<TD>
 		<A href="#" onClick="javascript:onClickOK();return false"><IMG alt="<%= c.toDisplay(c.string("CommonValues.OK")) %>" border  =0 title="<%= c.toDisplay(c.string("TOK")) %>" src="<%= c.getModulesUrl() + "/nfsgy/images/" + c.string("GYButton.OK.image") %>"></a>
 		<jsp:include page='<%= c.getPath("dev/Cancel_inc.jsp") %>' flush="true" />
 		</TD>
	</TR>


	</TABLE>

	</FONT>
 
	</FORM>
	<jsp:include page='<%= c.getPath("dev/OSFooter_inc.jsp") %>' flush="true" />
	
	</BODY>
	
</HTML>

<% } catch (Exception e) { e.printStackTrace(); %>Exception occured processing JSP page<% } %>





